Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoConcatenate Class Reference
[Engine classes]

`#include <Inventor/engines/SoConcatenate.h>`

Inheritance diagram for SoConcatenate:

List of all members.

## Detailed Description

The SoConcatenate class is used to concatenate several inputs into one output.

Takes all the values from the 10 input multivalue fields in turn and concatenates them into the multivalue output.

Note that this engine's output field deviates a little from the "standard" output mechanism of the majority of engine classes: the SoConcatenate::output is not a permanent SoEngineOutput instance, but a pointer to a SoEngineOutput instance. The reason for this is that it is necessary to allocate the output field dynamically to make it match what the SoConcatenate::input is connected to since the type of the SoConcatenate::output always should be the same as the type of the SoConcatenate::input.

The file format for this field is a bit special. Note the leading type specification, which is not necessary for most other field types:

      Concatenate {
        type <multivaluefieldtype>
        [...fields...]
      }

## Public Member Functions
| SoConcatenate (SoType inputType)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoMField * | input [NUMINPUTS]
SoEngineOutput * | output
## Friends
class | dummy

## Constructor & Destructor Documentation

SoConcatenate::SoConcatenate | ( | SoType | type | ) |

| Constructor. The type of the input/output is specified in type.

## Member Function Documentation

void SoConcatenate::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

## Member Data Documentation

SoMField * SoConcatenate::input[10]

| The multivalue input fields which we will concatenate into the output.

SoEngineOutput * SoConcatenate::output

| (SoMField) This is the field output containing the concatenated values of all the input fields. The type of the field will of course match the type of the input field.

The documentation for this class was generated from the following files:

- SoConcatenate.h
- SoConcatenate.cpp